#!/bin/bash
# Version 2 modified by CaseySJ 26-Jul-2020

locale=`defaults read -g AppleLocale` 

case $locale in
  en_AU|en_GB|fr_CA|pt_PT|zh_CN|zh_HK|zh_TW])
     ;;
  *) locale=`echo $locale | cut -c 1-2`
esac

cpu_name=`sysctl -n machdep.cpu.brand_string | sed -e 's/ *$//'`
target="/System/Library/PrivateFrameworks/AppleSystemInfo.framework/Versions/A/Resources/${locale}.lproj/AppleSystemInfo.strings"

if [ $# -ge 1 ]; then
  cpu_name=$1
fi

echo "Locale: $locale"
echo "New Name: $cpu_name"
read -p "ok? (y/n): " yn

case $yn in
  [yY])
    sudo mount -uw / &&
    sudo cp $target $target.`date +%Y%m%d%H%M` &&
    sudo plutil -replace IntelSpeedAndTypeFormat -string "%1\$@ $cpu_name" $target
    echo "Finished."
    ;;
  *) echo "Aborted."
esac
